Scientific Linux セキュリティ更新:SL5.x、SL6.x i386/x86_64 の Firefox

critical Nessus プラグイン ID 63019
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Scientific Linux ホストに 1 つ以上のセキュリティ更新がありません。

説明

不正な形式の Web コンテンツの処理に様々な欠陥が見つかりました。悪意のあるコンテンツが含まれる Web ページが、Firefox をクラッシュさせたり、 Firefox を実行しているユーザーの権限で任意のコードを実行したりする可能性があります。(CVE-2012-4214、CVE-2012-4215、CVE-2012-4216、 CVE-2012-5829、CVE-2012-5830、CVE-2012-5833、 CVE-2012-5835、CVE-2012-5839、CVE-2012-5840、 CVE-2012-5842)

Firefox が GIF(グラフィックスインターチェンジフォーマット)画像を処理する方法で、バッファオーバーフローの欠陥が見つかりました。悪意のある GIF イメージが含まれている Web ぺージが Firefox のクラッシュを引き起こしたり、Firefox を実行しているユーザーの権限で任意のコードを実行できる恐れがあります。
(CVE-2012-4202)

Firefox の Style Inspector ツールが、特定の Cascading Style Sheet(CSS)を処理する方法で欠陥が見つかりました。悪意のある CSS でツールを実行(Tools -> Web Developer -> Inspect)すると、
HTML や CSS のコンテンツが chrome の権限で実行されるおそれがあります。
(CVE-2012-4210)

Firefox が HZ-GB-2312 文字エンコーディングをデコードする方法で、欠陥が見つかりました。悪意のあるコンテンツが含まれる Web ページが、別の Web サイトの権限で Firefox に JavaScript コードを実行させる可能性があります。
(CVE-2012-4207)

Firefox のロケーションオブジェクトの実装に欠陥が見つかりました。
悪意のあるコンテンツがこの欠陥を利用し、プラグインによって制限されたコンテンツをロードできる可能性があります。(CVE-2012-4209)

クロス生成元ラッパーを実装する方法で、欠陥が見つかりました。
悪意のあるコンテンツがこの欠陥を利用して、クロスサイトスクリプティング攻撃を実行する可能性があります。(CVE-2012-5841)

Firefox の evalInSandbox 実装に欠陥が見つかりました。
悪意のあるコンテンツがこの欠陥を利用して、クロスサイトスクリプティング攻撃を実行する可能性があります。(CVE-2012-4201)

更新をインストールした後、変更した内容を反映させるには Firefox を再起動する必要があります。

ソリューション

影響を受ける firefox、xulrunner、および xulrunner-devel パッケージを更新してください。

関連情報

http://www.nessus.org/u?955dfd74

プラグインの詳細

深刻度: Critical

ID: 63019

ファイル名: sl_20121120_firefox_on_SL5_x.nasl

バージョン: 1.10

タイプ: local

エージェント: unix

公開日: 2012/11/23

更新日: 2021/1/14

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Critical

Base Score: 10

ベクトル: AV:N/AC:L/Au:N/C:C/I:C/A:C

脆弱性情報

CPE: p-cpe:/a:fermilab:scientific_linux:firefox, p-cpe:/a:fermilab:scientific_linux:xulrunner, p-cpe:/a:fermilab:scientific_linux:xulrunner-devel, x-cpe:/o:fermilab:scientific_linux

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

パッチ公開日: 2012/11/20

脆弱性公開日: 2012/11/21

参照情報

CVE: CVE-2012-4201, CVE-2012-4202, CVE-2012-4207, CVE-2012-4209, CVE-2012-4210, CVE-2012-4214, CVE-2012-4215, CVE-2012-4216, CVE-2012-5829, CVE-2012-5830, CVE-2012-5833, CVE-2012-5835, CVE-2012-5839, CVE-2012-5840, CVE-2012-5841, CVE-2012-5842